import requests
headers = {
'Authorization': 'Bearer YOUR_API_KEY'
}
url = f'https://api.va.landing.ai/v1/ade/parse/jobs/{job_id}'
response = requests.get(url, headers=headers)
print(response.json())curl -X GET 'https://api.va.landing.ai/v1/ade/parse/jobs/{job_id}' \
-H 'Authorization: Bearer YOUR_API_KEY'const axios = require('axios');
const url = `https://api.va.landing.ai/v1/ade/parse/jobs/{jobId}`;
axios.get(url, {
headers: {
'Authorization': 'Bearer YOUR_API_KEY'
}
})
.then(response => console.log(response.data))
.catch(error => console.error(error));{
"job_id": "<string>",
"status": "<string>",
"received_at": 123,
"progress": 0.5,
"created_at": 0,
"org_id": "<string>",
"version": "<string>",
"data": {
"markdown": "<string>",
"chunks": [
{
"markdown": "<string>",
"type": "<string>",
"id": "<string>",
"grounding": {
"box": {
"left": 123,
"top": 123,
"right": 123,
"bottom": 123
},
"page": 123
}
}
],
"splits": [
{
"class": "<string>",
"identifier": "<string>",
"pages": [
123
],
"markdown": "<string>",
"chunks": [
"<string>"
]
}
],
"metadata": {
"filename": "<string>",
"org_id": "<string>",
"page_count": 123,
"duration_ms": 123,
"credit_usage": 123,
"job_id": "<string>",
"version": "<string>",
"failed_pages": [
123
]
},
"grounding": {}
},
"output_url": "<string>",
"metadata": {
"filename": "<string>",
"org_id": "<string>",
"page_count": 123,
"duration_ms": 123,
"credit_usage": 123,
"job_id": "<string>",
"version": "<string>",
"failed_pages": [
123
]
},
"failure_reason": "<string>"
}{
"job_id": "<string>",
"status": "<string>",
"received_at": 123,
"progress": 0.5,
"created_at": 0,
"org_id": "<string>",
"version": "<string>",
"data": {
"markdown": "<string>",
"chunks": [
{
"markdown": "<string>",
"type": "<string>",
"id": "<string>",
"grounding": {
"box": {
"left": 123,
"top": 123,
"right": 123,
"bottom": 123
},
"page": 123
}
}
],
"splits": [
{
"class": "<string>",
"identifier": "<string>",
"pages": [
123
],
"markdown": "<string>",
"chunks": [
"<string>"
]
}
],
"metadata": {
"filename": "<string>",
"org_id": "<string>",
"page_count": 123,
"duration_ms": 123,
"credit_usage": 123,
"job_id": "<string>",
"version": "<string>",
"failed_pages": [
123
]
},
"grounding": {}
},
"output_url": "<string>",
"metadata": {
"filename": "<string>",
"org_id": "<string>",
"page_count": 123,
"duration_ms": 123,
"credit_usage": 123,
"job_id": "<string>",
"version": "<string>",
"failed_pages": [
123
]
},
"failure_reason": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}ADE Get Parse Jobs
Get the status for an async parse job.
Returns the job status or an error response. For EU users, use this endpoint:
https://api.va.eu-west-1.landing.ai/v1/ade/parse/jobs/{job_id}.
import requests
headers = {
'Authorization': 'Bearer YOUR_API_KEY'
}
url = f'https://api.va.landing.ai/v1/ade/parse/jobs/{job_id}'
response = requests.get(url, headers=headers)
print(response.json())curl -X GET 'https://api.va.landing.ai/v1/ade/parse/jobs/{job_id}' \
-H 'Authorization: Bearer YOUR_API_KEY'const axios = require('axios');
const url = `https://api.va.landing.ai/v1/ade/parse/jobs/{jobId}`;
axios.get(url, {
headers: {
'Authorization': 'Bearer YOUR_API_KEY'
}
})
.then(response => console.log(response.data))
.catch(error => console.error(error));{
"job_id": "<string>",
"status": "<string>",
"received_at": 123,
"progress": 0.5,
"created_at": 0,
"org_id": "<string>",
"version": "<string>",
"data": {
"markdown": "<string>",
"chunks": [
{
"markdown": "<string>",
"type": "<string>",
"id": "<string>",
"grounding": {
"box": {
"left": 123,
"top": 123,
"right": 123,
"bottom": 123
},
"page": 123
}
}
],
"splits": [
{
"class": "<string>",
"identifier": "<string>",
"pages": [
123
],
"markdown": "<string>",
"chunks": [
"<string>"
]
}
],
"metadata": {
"filename": "<string>",
"org_id": "<string>",
"page_count": 123,
"duration_ms": 123,
"credit_usage": 123,
"job_id": "<string>",
"version": "<string>",
"failed_pages": [
123
]
},
"grounding": {}
},
"output_url": "<string>",
"metadata": {
"filename": "<string>",
"org_id": "<string>",
"page_count": 123,
"duration_ms": 123,
"credit_usage": 123,
"job_id": "<string>",
"version": "<string>",
"failed_pages": [
123
]
},
"failure_reason": "<string>"
}{
"job_id": "<string>",
"status": "<string>",
"received_at": 123,
"progress": 0.5,
"created_at": 0,
"org_id": "<string>",
"version": "<string>",
"data": {
"markdown": "<string>",
"chunks": [
{
"markdown": "<string>",
"type": "<string>",
"id": "<string>",
"grounding": {
"box": {
"left": 123,
"top": 123,
"right": 123,
"bottom": 123
},
"page": 123
}
}
],
"splits": [
{
"class": "<string>",
"identifier": "<string>",
"pages": [
123
],
"markdown": "<string>",
"chunks": [
"<string>"
]
}
],
"metadata": {
"filename": "<string>",
"org_id": "<string>",
"page_count": 123,
"duration_ms": 123,
"credit_usage": 123,
"job_id": "<string>",
"version": "<string>",
"failed_pages": [
123
]
},
"grounding": {}
},
"output_url": "<string>",
"metadata": {
"filename": "<string>",
"org_id": "<string>",
"page_count": 123,
"duration_ms": 123,
"credit_usage": 123,
"job_id": "<string>",
"version": "<string>",
"failed_pages": [
123
]
},
"failure_reason": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Your unique API key for authentication.
Get your API key here: https://va.landing.ai/settings/api-key.
If using the EU endpoint, get your API key here: https://va.eu-west-1.landing.ai/settings/api-key.
Path Parameters
Response
Successful Response
Unified response for job status endpoint.
Job completion progress as a decimal from 0 to 1, where 0 is not started, 1 is finished, and values between 0 and 1 indicate work in progress.
0 <= x <= 1Unix timestamp (seconds) for when the job was created. Mirrors received_at; exposed so clients have an explicit creation time.
The parsed output (ParseResponse for documents, SpreadsheetParseResponse for spreadsheets), if the job is complete and the output_save_url parameter was not used.
- ParseResponse
- SpreadsheetParseResponse
Show child attributes
Show child attributes
The URL to the parsed content. This field contains a URL when the job is complete and either you specified the output_save_url parameter or the result is larger than 1MB. When the result exceeds 1MB, the URL is a presigned S3 URL that expires after 1 hour. Each time you GET the job, a new presigned URL is generated.
Show child attributes
Show child attributes
Was this page helpful?